Bug Hunting Session
Bug 99524 - Broken undo for bulleted lists
Summary: Broken undo for bulleted lists
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Undo-Redo
  Show dependency treegraph
 
Reported: 2016-04-27 07:12 UTC by Judson Wilson
Modified: 2018-03-12 12:01 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample slide for reproducing bug. (22.53 KB, application/vnd.oasis.opendocument.presentation)
2016-04-27 07:12 UTC, Judson Wilson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Judson Wilson 2016-04-27 07:12:45 UTC
Created attachment 124665 [details]
Sample slide for reproducing bug.

Certain actions in bulleted lists seem to undo improperly.

To Reproduce:

1) See attachment
2) Place cursor at beginning of line "Response: Confidentiality..."
3) Hit backspace 3 times.
4) Hit enter 1 time.
5) Undo

The bulleted line before "Response: Confidentiality..." has lost its original alignment.
Comment 1 raal 2016-04-28 05:48:47 UTC
I can confirm with Version: 5.2.0.0.alpha0+ and Version 4.0.0.3; win7
Comment 2 QA Administrators 2017-05-22 13:41:13 UTC Comment hidden (obsolete)
Comment 3 Mark Hung 2017-12-28 14:04:38 UTC
Still reproducible in 
版本:5.4.0.3
組建 ID:7556cbc6811c9d992f4064ab9287069087d7f62c
CPU threads: 8; OS: Windows 6.2; UI render: 預設; 
語言地區:zh-TW (zh_TW); Calc: group
Comment 4 Buovjaga 2018-01-07 15:14:56 UTC
Still repro.
Likely inherited from OOo, but file crashes on opening in 3.3.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: e1fb3d95ac6d58b60448981e82d90621cad7fea5
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on January 7th 2018

Arch Linux 64-bit
Version 3.6.7.2 (Build ID: e183d5b)
Comment 5 Commit Notification 2018-01-09 12:19:23 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7d10477aa54536aeeb190d25979234ab732c1bcf

tdf#99524 - allow backward connect paragraph to undo.

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-02-09 10:46:21 UTC
A polite ping to Mark Hung: is this bug fixed? if so, could you
please close it as RESOLVED FIXED ? Thanks